package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicAtmosphereEmissionType {

    public static final String SOLID = "固体悬浮颗粒";
    public static final String MONOXIDE = "一氧化碳";
    public static final String DIOXIDE = "二氧化碳";
    public static final String HYDROCARBON = "碳氢化合物";
    public static final String OXIDES = "氮氧化合物";
    public static final String LEAD = "铅";
    public static final String SULFUR = "硫氧化合物";



    private static DicAtmosphereEmissionType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAtmosphereEmissionType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SOLID, SOLID);
        dicMap.put(MONOXIDE, MONOXIDE);
        dicMap.put(DIOXIDE, DIOXIDE);
        dicMap.put(HYDROCARBON, HYDROCARBON);
        dicMap.put(OXIDES, OXIDES);
        dicMap.put(LEAD, LEAD);
        dicMap.put(SULFUR, SULFUR);
    }

    public static DicAtmosphereEmissionType getInstacne(){
        if (instance == null)
        {
            instance = new DicAtmosphereEmissionType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
